Bug 589973 - (CVE-2010-1624) CVE-2010-1624 Pidgin: MSN SLP emoticon DoS (NULL pointer dereference)
CVE-2010-1624 Pidgin: MSN SLP emoticon DoS (NULL pointer dereference)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=upstream,reported=2...
: Security
Depends On: 591806 591808 644153 644155 644157 644158 833967
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 08:42 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-05-07 08:42:59 EDT
Pierre Noguès found a NULL pointer dereference in the Pidgin
MSN SLP protocol implementation, by processing custom emoticon
messages. A remote, authenticated user could use this deficiency
to cause a denial of service (Pidgin crash).


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Pierre Noguès of Meta Security as the original reporter.
Comment 4 Jan Lieskovsky 2010-05-07 08:49:00 EDT
This issue affects the versions of the pidgin package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the pidgin package, as shipped
with Fedora release of 11 and 12.
Comment 7 Jan Lieskovsky 2010-05-12 12:28:35 EDT
This is CVE-2010-1624.
Comment 13 Jan Lieskovsky 2010-05-13 05:27:28 EDT
Statement CVE-2010-1624:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future pidgin package update may address this flaw in Red Hat
Enterprise Linux 3, 4, and 5.
Comment 14 Fedora Update System 2010-05-13 09:10:22 EDT
pidgin-2.7.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pidgin-2.7.0-1.fc13
Comment 15 Fedora Update System 2010-05-13 09:10:54 EDT
pidgin-2.7.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-2.7.0-1.fc12
Comment 16 Fedora Update System 2010-05-13 09:11:00 EDT
pidgin-2.7.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-2.7.0-1.fc11
Comment 17 Fedora Update System 2010-05-24 15:39:25 EDT
pidgin-2.7.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-05-24 15:41:35 EDT
pidgin-2.7.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-05-24 15:48:08 EDT
pidgin-2.7.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 errata-xmlrpc 2010-10-21 12:52:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0788 https://rhn.redhat.com/errata/RHSA-2010-0788.html

Note You need to log in before you can comment on or make changes to this bug.